# Global

##

### Members

#### (constant) arc

Function to create arc equivalent to "new" constructor

Source:
  - classes/arc.js, line 543

#### (constant) box

Shortcut to create new box

Source:
  - classes/box.js, line 240

#### (constant) CCW :boolean

Global constant CCW defines counterclockwise direction of arc

Source:
  - utils/constants.js, line 5

##### Type:

- `boolean`

#### (constant) circle

Shortcut to create new circle

Source:
  - classes/circle.js, line 222

#### (constant) CW :boolean

Global constant CW defines clockwise direction of arc

Source:
  - utils/constants.js, line 11

##### Type:

- `boolean`

#### DP_TOL :number

Floating point comparison tolerance. Default value is 0.000001 (10e-6)

Source:
  - utils/utils.js, line 10

##### Type:

- `number`

#### (constant) inversion

Shortcut to create inversion operator

Source:
  - classes/inversion.js, line 89

#### (constant) line

Function to create line equivalent to "new" constructor

Source:
  - classes/line.js, line 347

#### (constant) matrix

Function to create matrix equivalent to "new" constructor

Source:
  - classes/matrix.js, line 143

#### (constant) multiline

Shortcut function to create multiline

Source:
  - classes/multiline.js, line 206

#### (constant) ORIENTATION :Object

Defines orientation for face of the polygon: clockwise, counter clockwise or not orientable in the case of self-intersection

Source:
  - utils/constants.js, line 18

##### Type:

- `Object`

#### (constant) point

Function to create point equivalent to "new" constructor

Source:
  - classes/point.js, line 290

#### (constant) polygon

Shortcut method to create new polygon

Source:
  - classes/polygon.js, line 689

#### (constant) segment

Shortcut method to create new segment

Source:
  - classes/segment.js, line 389

#### (constant) vector

Function to create vector equivalent to "new" constructor

Source:
  - classes/vector.js, line 248

### Methods

#### EQ(x, y) → {boolean}

Returns *true* if two values are equal up to DP_TOL

Source:
  - utils/utils.js, line 42

##### Parameters:

Name | Type | Description
--- | --- | ---
`x` | `number` |
`y` | `number` |

##### Returns:

Type:
  `boolean`

#### EQ_0(x, y) → {boolean}

Returns *true* if value comparable to zero

Source:
  - utils/utils.js, line 32

##### Parameters:

Name | Type | Description
--- | --- | ---
`x` | `number` |
`y` | `number` |

##### Returns:

Type:
  `boolean`

#### GE(x, y) → {boolean}

Returns *true* if first argument greater than or equal to second argument up to DP_TOL

Source:
  - utils/utils.js, line 62

##### Parameters:

Name | Type | Description
--- | --- | ---
`x` | `number` |
`y` | `number` |

##### Returns:

Type:
  `boolean`

#### getTolerance() → {number}

Get floating point comparison tolerance

Source:
  - utils/utils.js, line 22

##### Returns:

Type:
  `number`

#### GT(x, y) → {boolean}

Returns *true* if first argument greater than second argument up to DP_TOL

Source:
  - utils/utils.js, line 52

##### Parameters:

Name | Type | Description
--- | --- | ---
`x` | `number` |
`y` | `number` |

##### Returns:

Type:
  `boolean`

#### LE(x, y) → {boolean}

Returns *true* if first argument less than or equal to second argument up to DP_TOL

Source:
  - utils/utils.js, line 82

##### Parameters:

Name | Type | Description
--- | --- | ---
`x` | `number` |
`y` | `number` |

##### Returns:

Type:
  `boolean`

#### LT(x, y) → {boolean}

Returns *true* if first argument less than second argument up to DP_TOL

Source:
  - utils/utils.js, line 72

##### Parameters:

Name | Type | Description
--- | --- | ---
`x` | `number` |
`y` | `number` |

##### Returns:

Type:
  `boolean`

#### setTolerance(tolerance)

Set new floating point comparison tolerance

Source:
  - utils/utils.js, line 16

##### Parameters:

Name | Type | Description
--- | --- | ---
`tolerance` | `number` |